# Uses of Class
org.eclipse.core.commands.CommandManager

Packages that use CommandManager
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.e4.core.commands.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.bindings
Provides support for bindings between commands and various user input events (e.g., keyboard shortcuts).

## Uses of CommandManager in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return CommandManager
Modifier and Type
Method
Description
`final CommandManager`
CommandManagerEvent.`getCommandManager()`
Returns the instance of the interface that changed.
Constructors in org.eclipse.core.commands with parameters of type CommandManager
Modifier
Constructor
Description
``
`CommandManagerEvent(CommandManager commandManager, String parameterTypeId, boolean parameterTypeIdAdded, boolean parameterTypeIdChanged)`
Creates a new `CommandManagerEvent` instance to describe changes to command parameter types.
``
`CommandManagerEvent(CommandManager commandManager, String commandId, boolean commandIdAdded, boolean commandIdChanged, String categoryId, boolean categoryIdAdded, boolean categoryIdChanged)`
Creates a new `CommandManagerEvent` instance to describe changes to commands and/or categories.

## Uses of CommandManager in org.eclipse.e4.core.commands.internal

Methods in org.eclipse.e4.core.commands.internal with parameters of type CommandManager
Modifier and Type
Method
Description
`void`
CommandServiceImpl.`setManager(CommandManager m)`

## Uses of CommandManager in org.eclipse.jface.action

Constructors in org.eclipse.jface.action with parameters of type CommandManager
Modifier
Constructor
Description
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager, ExternalActionManager.IActiveChecker activeChecker)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager, ExternalActionManager.IActiveChecker activeChecker, ExternalActionManager.IExecuteApplicable checker)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.

## Uses of CommandManager in org.eclipse.jface.bindings

Constructors in org.eclipse.jface.bindings with parameters of type CommandManager
Modifier
Constructor
Description
``
`BindingManager(ContextManager contextManager, CommandManager commandManager)`
Constructs a new instance of `BindingManager`.